<template>
  <el-breadcrumb separator=">">
    <el-breadcrumb-item
      v-for="(item,index) in tempFileData"
      :key="index"
      @click.native="goPositionFile(item.id)"
      :to="{}"
    >{{item.filename}}</el-breadcrumb-item>
  </el-breadcrumb>
</template>

<script>
import { log } from '@antv/g2plot/lib/utils';
export default {
  name: "BreadCrumbs",
  data() {
    return {};
  },
  props: {
    tempFileData: {
      type: Array
    }
  },
  computed: {},
  watch: {},
  methods: {
    //面包屑数据跳转
    goPositionFile(index) {
      //发出事件
      this.$emit("BreadCrumbsChange", index);
    }
  }
};
</script>

<style scoped>
</style>
